> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ejcategory

> EjCategoryProvider creates a flat or tree list based on the table - EJ_CATEGORY

## "ejcategory" MDO List

EjCategoryProvider creates a flat or tree list based on the table: EJ\_CATEGORY

Implemented by the <see cref="T:SuperOffice.CRM.Lists.EjCategoryProvider">EjCategoryProvider</see> class.
The name of the MDO list is 'ejcategory'.

## Additional Attributes

| Description                                                   | Name                      | Example Value |
| ------------------------------------------------------------- | ------------------------- | ------------- |
| Use hierarchy                                                 | hierarchy                 | true          |
| Return only categories owned by requester                     | onlyOwnCategories         | False         |
| Return short names instead of full path                       | shortNames                | False         |
| Return short text (FullName) as a tooltip                     | shortTooltip              | False         |
| Include admin UI info: resolve Category master name and icons | includeAdministrativeInfo | True          |

Separator: &

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/ejcategory
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("ejcategory", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                                    | StyleHint | ExtraInfo                      |
| -- | --------------------------------------- | --------- | ------------------------------ |
| 2  | Administration                          |           | parentId=0\&replyTemplateId=-1 |
| 4  | Administration/Accounting               |           | parentId=2\&replyTemplateId=-1 |
| 7  | Administration/Accounting/Fraud         |           | parentId=4\&replyTemplateId=-1 |
| 9  | Administration/Accounting/Fraud/Serious |           | parentId=7\&replyTemplateId=-1 |
| 10 | Administration/Accounting/Fraud/Silly   |           | parentId=7\&replyTemplateId=-1 |
| 8  | Administration/Accounting/Overdue       |           | parentId=4\&replyTemplateId=-1 |
| 11 | Administration/Accounting/Overdue/Long  |           | parentId=8\&replyTemplateId=-1 |
| 13 | Administration/Catering                 |           | parentId=2\&replyTemplateId=-1 |
| 12 | Administration/IT                       |           | parentId=2\&replyTemplateId=-1 |
| 3  | Sale                                    |           | parentId=0\&replyTemplateId=0  |
| 1  | Support                                 |           | parentId=0\&replyTemplateId=-1 |
| 6  | Support/On-line                         |           | parentId=1\&replyTemplateId=-1 |
| 5  | Support/Out-call                        |           | parentId=1\&replyTemplateId=-1 |

## Related MDO Lists

* "ejcategoryheadings"
* "ejcategoryheadingswithallitem"
* "ejcategoryheadingswithallitemwithnoselection"
* "ejcategoryheadingswithnoselection"
* "ejcategorywithallitem"
* "ejcategorywithallitemwithnoselection"
* "ejcategorywithnoselection"


## Related topics

- [EjCategoryGroupLink table](/en/database/tables/ejcategorygrouplink.md)
- [ej_category table](/en/database/tables/ej-category.md)
- [SuperOffice.WebApi.Data.TicketEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.TicketEntity.md)
- [Enum values for TicketCategoryFlags](/en/database/tables/enums/ticketcategoryflags.md)
- [SuperOffice.WebApi.Data.User](/en/api/reference/webapi/SuperOffice.WebApi.Data.User.md)
- [Enum values for TicketCategoryDelegateMethod](/en/database/tables/enums/ticketcategorydelegatemethod.md)
